[arch-commits] Commit in python-numpy/repos (4 files)

Jan de Groot jgc at archlinux.org
Thu May 28 17:10:38 EDT 2009


    Date: Thursday, May 28, 2009 @ 17:10:38
  Author: jgc
Revision: 40211

Merged revisions 40191 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/python-numpy/trunk

........
  r40191 | jgc | 2009-05-28 21:05:07 +0200 (Thu, 28 May 2009) | 1 line
  
  upgpkg: python-numpy 1.3.0-2
........

Modified:
  python-numpy/repos/extra-i686/	(properties)
  python-numpy/repos/extra-i686/ChangeLog
  python-numpy/repos/extra-i686/PKGBUILD
Deleted:
  python-numpy/repos/extra-i686/patch-lib64.patch

-------------------+
 ChangeLog         |    6 ++++++
 PKGBUILD          |   24 +++++++++++-------------
 patch-lib64.patch |    4 ----
 3 files changed, 17 insertions(+), 17 deletions(-)


Property changes on: python-numpy/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /python-numpy/trunk:1-34481
   + /python-numpy/trunk:1-40210

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-05-28 21:07:06 UTC (rev 40210)
+++ extra-i686/ChangeLog	2009-05-28 21:10:38 UTC (rev 40211)
@@ -1,3 +1,9 @@
+2009-05-28  Jan de Groot  <jgc at archlinux.org>
+
+	* Remove dependency on python-nose
+	* Force disable Atlas to avoid linking to it
+	* Remove patch, it does not apply and should not be needed
+
 2009-01-26  Angel 'angvp' Velasquez    <angvp at archlinux.com.ve>
 
 	* Added a patch to fix FS#12869

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-28 21:07:06 UTC (rev 40210)
+++ extra-i686/PKGBUILD	2009-05-28 21:10:38 UTC (rev 40211)
@@ -4,24 +4,22 @@
 
 pkgname=python-numpy
 pkgver=1.3.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Scientific tools for Python"
 arch=('i686' 'x86_64')
 license=('custom')
 url="http://numpy.scipy.org/"
-depends=('blas' 'python-nose' 'lapack')
-source=("http://downloads.sourceforge.net/numpy/numpy-$pkgver.tar.gz" patch-lib64.patch)
+depends=('blas' 'lapack')
+makedepends=('python-nose')
+optdepends=('python-nose: test suite')
+source=(http://downloads.sourceforge.net/numpy/numpy-${pkgver}.tar.gz)
+md5sums=('3f7773ff0971a5ebb8591536d8ec7bd6')
 
 build() {
-    cd "$srcdir/numpy-$pkgver"
+  cd "${srcdir}/numpy-${pkgver}"
+  export Atlas=None
+  python setup.py config_fc --fcompiler=gnu95 build || return 1
+  python setup.py config_fc --fcompiler=gnu95 install --prefix=/usr --root="${pkgdir}" || return 1
 
-    msg "patching system_info.py for compatibility with lib64"
-    patch numpy/distutils/system_info.py < $startdir/patch-lib64.patch # FS#12869
-
-    python setup.py config_fc --fcompiler=gnu95 build || return 1
-    python setup.py config_fc --fcompiler=gnu95 install --prefix=/usr --root="$pkgdir" || return 1
-
-    install -D -m644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+  install -D -m644 LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }
-md5sums=('3f7773ff0971a5ebb8591536d8ec7bd6'
-         'fd9035cc359d43ca78c488738213b8fe')

Deleted: extra-i686/patch-lib64.patch
===================================================================
--- extra-i686/patch-lib64.patch	2009-05-28 21:07:06 UTC (rev 40210)
+++ extra-i686/patch-lib64.patch	2009-05-28 21:10:38 UTC (rev 40211)
@@ -1,4 +0,0 @@
-154c154
-<         default_x11_lib_dirs = ['/usr/lib64']
----
->         default_x11_lib_dirs = ['/usr/lib']



More information about the arch-commits mailing list